unit umain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ieview, imageenview, ExtCtrls, hyieutils, iexBitmaps, 
  hyiedefs, iesettings, iexLayers, iexRulers;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ImageEnView1: TImageEnView;
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    TrackBar1: TTrackBar;
    chkDiagonal: TCheckBox;
    Button2: TButton;
    lblProgress: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ImageEnView1FinishWork(Sender: TObject);
    procedure ImageEnView1Progress(Sender: TObject; per: Integer);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R WindowsTheme.res}

// Open...
procedure TForm1.Button1Click(Sender: TObject);
begin
  with ImageEnView1.IO do
    LoadFromFile( ExecuteOpenDialog );
  ImageEnView1.Proc.SaveUndo;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ImageEnView1.Proc.RemoveIsolatedPixels( 0, TrackBar1.Position, chkDiagonal.checked );
end;

procedure TForm1.ImageEnView1FinishWork(Sender: TObject);
begin
  lblProgress.Visible := False;
end;

procedure TForm1.ImageEnView1Progress(Sender: TObject; per: Integer);
begin
  lblProgress.Caption := IntToStr( per ) + '%';
  lblProgress.Visible := True;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  Edit1.Text := IntToStr( TrackBar1.Position );
end;

end.
